Please merge heimdal 1.2.dfsg.1-2.1 (universe) from Debian unstable (main)

Bug #299345 reported by Nick Ellery on 2008-11-18
4
Affects Status Importance Assigned to Milestone
heimdal (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge heimdal 1.2.dfsg.1-2.1 (universe) from Debian unstable (main).

 heimdal (1.2.dfsg.1-2.1) unstable; urgency=low

   * Non-maintainer upload.
   * fix segfaults when using pkinit with wrong PIN. Closes: #499405

 -- Guido Günther <email address hidden> Sun, 05 Oct 2008 15:12:05 +0200
heimdal (1.2.dfsg.1-2) unstable; urgency=low

   * Fix library version symbols. Again. Closes: #492427.
   * Install swedish (sv) debconf translations from #491767. Closes: #483764, #491767.

 -- Brian May <email address hidden> Tue, 29 Jul 2008 13:11:57 +1000
heimdal (1.2.dfsg.1-1) unstable; urgency=low

   * New upstream release.
   * Removed non-free RFC content.
   * Install hxtool in heimdal-clients (closes: #487119).
   * Fix issues converting source to new quilt format (closes: #485108).
     * remove more autobuilt files in clean rule
     * more series file to debian/patches
   * Update standards version to 3.8.0.
   * Use build depends on x11proto-core-dev instead of x-dev.

 -- Brian May <email address hidden> Sat, 21 Jun 2008 01:00:05 +0000

Related branches

Changed in heimdal:
assignee: nobody → nick.ellery
importance: Undecided → Wishlist
status: New → In Progress
Nick Ellery (nick.ellery) wrote :

heimdal (1.2.dfsg.1-2.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #299345):
    - Add update-inetd to heimdal-server and heimdal-kdc's dependenices.
    - Add openbsd-inetd | inet-superserver to heimdal-server dependenices.

 -- Nick Ellery <email address hidden> Mon, 17 Nov 2008 22:25:58 -0800

Changed in heimdal:
status: In Progress → Triaged
James Westby (james-w) wrote :

Hi,

Please look at the changes from Debian again and check that your changelog
accurately documents them.

Thanks,

James

Nick Ellery (nick.ellery) wrote :

Hi,

Sorry for the mistake. Here's an updated debdiff which should hopefully be accurate.

Thanks,
Nick

Changed in heimdal:
assignee: nick.ellery → nobody
James Westby (james-w) wrote :

Hi,

Thanks for the updated patch.

Depending on update-inetd directly is the wrong thing to do. Instead
the package should depend on an inetd, and rely on that to
provide update-inetd. As the packages already depend on an inet
server the update-inetd change can be dropped.

You state that Ubuntu adds the dependencies on the inetd, but your patch
suggests that Debian already depends on them.

Also your patch adds a dependency on netbase, but this isn't in the changelog.
Why is the dependency added? Is it still needed? Should Debian also add
that dependency?

Thanks,

James

James Westby (james-w) wrote :

Also your patch changes the Build-Depends. One of the changes makes
no real difference, and is in fact worse than Debian (Build-Depends on a -1
version is usually incorrect). The other one is wanted, but not documented.

Thanks,

James

Nick Ellery (nick.ellery) wrote :

Hi James,

Here's another updated patch, hopefully this will do it.

Nick Ellery (nick.ellery) wrote :

Hi,

Here's an updated patch with the changes discussed. I was sadly unable to determine exactly why the netbase dependency was added.

Nick Ellery (nick.ellery) wrote :
James Westby (james-w) wrote :

Hi,

I have just uploaded your diff, after making some improvements to the
changelog.

Thanks,

James

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heimdal - 1.2.dfsg.1-2.1ubuntu1

---------------
heimdal (1.2.dfsg.1-2.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #299345):
    - Change libdb4.2-dev to libdb4.6-dev in build-deps
    - Add netbase to heimdal-kdc depends.
    - Set CPPFLAGS=-DLDAP_DEPRECATED to fix build with OpenLDAP 2.4 on
      64-bit architectures.
  * Remove dependency on update-inetd to heimdal-servers and heimdal-kdc,
    as packages should rely on the inet-superserver to provide the
    update-inetd command.
  * Drop the addition of -1 to the version of comerr-dev in build depends.

heimdal (1.2.dfsg.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix segfaults when using pkinit with wrong PIN. Closes: #499405

heimdal (1.2.dfsg.1-2) unstable; urgency=low

  * Fix library version symbols. Again. Closes: #492427.
  * Install swedish (sv) debconf translations from #491767. Closes: #483764, #491767.

heimdal (1.2.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Removed non-free RFC content.
  * Install hxtool in heimdal-clients (closes: #487119).
  * Fix issues converting source to new quilt format (closes: #485108).
    * remove more autobuilt files in clean rule
    * more series file to debian/patches
  * Update standards version to 3.8.0.
  * Use build depends on x11proto-core-dev instead of x-dev.

 -- Nick Ellery <email address hidden> Mon, 17 Nov 2008 22:25:58 -0800

Changed in heimdal:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers